# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /tmp/abs_4aewd3wzey/clone/recipe, last modified Fri Jul 29 10:42:48 2022
# ------------------------------------------------

package:
  name: h5py
  version: 3.7.0
source:
  sha256: 71ee0e0a25d6acc5e99ff13c287cae006604f6054dd9b60c352d0216e5d6b6f4
  url: https://github.com/h5py/h5py/archive/3.7.0.tar.gz
build:
  number: '0'
  string: py38h737f45e_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.6.15 py38h06a4308_0
    - cython 0.29.30 py38h6a678d5_0
    - hdf5 1.10.6 h3ffc7dd_1
    - intel-openmp 2021.4.0 h06a4308_3561
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py38h7f8727e_0
    - mkl_fft 1.3.1 py38hd3c417c_0
    - mkl_random 1.2.2 py38h51133e4_0
    - ncurses 6.3 h5eee18b_3
    - numpy 1.16.6 py38h7895c89_4
    - numpy-base 1.16.6 py38h73d599e_4
    - openssl 1.1.1q h7f8727e_0
    - pip 22.1.2 py38h06a4308_0
    - pkg-config 0.29.2 h1bed415_8
    - pkgconfig 1.5.5 py38h06a4308_0
    - python 3.8.13 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py38h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - hdf5 >=1.10.6,<1.10.7.0a0
    - libgcc-ng >=11.2.0
    - numpy >=1.16.6,<2.0a0
    - python >=3.8,<3.9.0a0
test:
  commands:
    - pip check
  imports:
    - h5py
    - h5py.tests
    - h5py.tests.data_files
    - h5py.tests.test_vds
  requires:
    - curl
    - pip
    - pytest
    - pytest-mpi
about:
  dev_url: https://github.com/h5py/h5py
  doc_url: https://docs.h5py.org/en/stable/
  home: https://www.h5py.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: licenses/license.txt
  summary: Read and write HDF5 files from Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4aab1af7-ed1c-4abd-ace6-a5e16ad57599
  recipe-maintainers:
    - jakirkham
    - minrk
    - ocefpaf
    - scopatz
    - tacaswell
  remote_url: git@github.com:AnacondaRecipes/h5py-feedstock.git
  sha: c686da60ef886b8da5828199dda0a72a916bf8c5
